package Q1;

import static org.junit.Assert.*;

import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;

public class PersonTest {

	// Question 1a
	@Test(expected = IllegalArgumentException.class)
	public void testExpectedException1() {
		new Person("John",-1);
	}

	// Question 1b
	@Rule
	public ExpectedException exception = ExpectedException.none();
	
	@Test
	public void testExpectedException2() {
		exception.expect(IllegalArgumentException.class);
		exception.expectMessage("Invalid age: -1");
		
		new Person("John",-1);
	}

	// Question 1c
	@Test
	public void testExpectedException3() {
		try {
			new Person("John",-1);
			fail("Should throw IllegalArgumentException for age: -1");
		} catch (IllegalArgumentException e) {
			assertEquals("Invalid age: -1", e.getMessage());
		}
	}
	
}