package Q2;

import static org.junit.Assert.*;

import org.junit.Test;

public class GradeTest {

	@Test
	public void testA() {
		String grade = Grade.getLetterGrade(85);
		assertEquals("A", grade);
	}

	// Question 2a
	@Test
	public void testB() {
		String grade = Grade.getLetterGrade(70);
		assertEquals("B", grade);
	}
	
	@Test
	public void testC() {
		String grade = Grade.getLetterGrade(55);
		assertEquals("C", grade);
	}
	
	@Test
	public void testD() {
		String grade = Grade.getLetterGrade(40);
		assertEquals("D", grade);
	}
	
	// Question 2b
	@Test
	public void testCMinus() {
		String grade = Grade.getLetterGrade(50);
		assertEquals("C-", grade);
	}

	// Question 2c
	@Test
	public void testUnderBoundary() {
		String grade = Grade.getLetterGrade(99);
		assertEquals("A+", grade);
	}
	
	@Test
	public void testBoundary() {
		String grade = Grade.getLetterGrade(100);
		assertEquals("A+", grade);
	}
	
	@Test(expected = IllegalArgumentException.class)
	public void testOverBoundary() {
		String grade = Grade.getLetterGrade(101); // Should raise exception
	}
}
